summaryrefslogtreecommitdiff
path: root/tests/mv/mv-special-1
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1999-11-27 10:10:02 +0000
committerJim Meyering <jim@meyering.net>1999-11-27 10:10:02 +0000
commitf36a801a9a83c3aea8b9201c03972ef33b177413 (patch)
treef213c94754b9da62e3a9e7c201246364789c34a6 /tests/mv/mv-special-1
parent1e219d6b713ed60fdf4e41783ceca41977faead2 (diff)
downloadcoreutils-f36a801a9a83c3aea8b9201c03972ef33b177413.tar.xz
Don't set/use LS MV MKDIR MKNOD RM TOUCH
Diffstat (limited to 'tests/mv/mv-special-1')
-rwxr-xr-xtests/mv/mv-special-123
1 files changed, 8 insertions, 15 deletions
diff --git a/tests/mv/mv-special-1 b/tests/mv/mv-special-1
index 551c27fbd..f3a9e1739 100755
--- a/tests/mv/mv-special-1
+++ b/tests/mv/mv-special-1
@@ -1,12 +1,5 @@
#! /bin/sh
-: ${LS=ls}
-: ${MV=mv}
-: ${MKDIR=mkdir}
-: ${MKNOD=mknod}
-: ${RM=rm}
-: ${TOUCH=touch}
-
. $srcdir/setup
if test -z "$other_partition_tmpdir"; then
@@ -18,10 +11,10 @@ dir=.mv-dir
framework_failure=0
-$RM -f $null || framework_failure=1
-$MKNOD $null p || framework_failure=1
-$MKDIR -p $dir/a/b/c $dir/d/e/f || framework_failure=1
-$TOUCH $dir/a/b/c/file1 $dir/d/e/f/file2 || framework_failure=1
+rm -f $null || framework_failure=1
+mknod $null p || framework_failure=1
+mkdir -p $dir/a/b/c $dir/d/e/f || framework_failure=1
+touch $dir/a/b/c/file1 $dir/d/e/f/file2 || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework'
@@ -37,13 +30,13 @@ LANG=C
export LANG
fail=0
-$MV --verbose $null $dir $other_partition_tmpdir > out || fail=1
+mv --verbose $null $dir $other_partition_tmpdir > out || fail=1
# Make sure the files are gone.
test -f $null && fail=1
test -d $dir && fail=1
# Make sure they were moved.
# Since `test -e' is not portable, use `ls'.
-$LS $other_partition_tmpdir/$null > /dev/null || fail=1
+ls $other_partition_tmpdir/$null > /dev/null || fail=1
test -d $other_partition_tmpdir/$dir/a/b/c || fail=1
sed "s,$other_partition_tmpdir,XXX," out > out2
@@ -81,8 +74,8 @@ EOF
cmp out2 exp || fail=1
# cd $other_partition_tmpdir
-# $LS -l -A -R $other_partition_tmpdir
+# ls -l -A -R $other_partition_tmpdir
-$RM -rf $null $dir $other_partition_tmpdir out out2 exp
+rm -rf $null $dir $other_partition_tmpdir out out2 exp
exit $fail